Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.wizards.datatransfer
Interface IImportStructureProvider

All Known Implementing Classes:
  FileSystemStructureProvider, ZipFileStructureProvider

public interface IImportStructureProvider

Interface which can provide structure and content information for an element (for example, a file system element). Used by the import wizards to abstract the commonalities between importing from the file system and importing from an archive.

Method Summary
`List` | `getChildren(Object element)` Returns a collection with the children of the specified structured element.
`InputStream` | `getContents(Object element)` Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.
`String` | `getFullPath(Object element)` Returns the full path of the specified structured element.
`String` | `getLabel(Object element)` Returns the display label of the specified structured element.
`boolean` | `isFolder(Object element)` Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

Method Detail

### getChildren

    public List getChildren(Object element)

  Returns a collection with the children of the specified structured element.

### getContents

    public InputStream getContents(Object element)

  Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.

  Parameters:
    `element` - a structured element
  Returns:
    the contents of the structured element, or `null`

### getFullPath

    public String getFullPath(Object element)

  Returns the full path of the specified structured element.

  Parameters:
    `element` - a structured element
  Returns:
    the display label of the structured element

### getLabel

    public String getLabel(Object element)

  Returns the display label of the specified structured element.

  Parameters:
    `element` - a structured element
  Returns:
    the display label of the structured element

### isFolder

    public boolean isFolder(Object element)

  Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

  Parameters:
    `element` - java.lang.Object
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.